> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# functionrights

> FunctionRightsListProvider returns a MDO list of function rights in the database. Additional Info = "role=123;languageId=1024;roleType=1"

## "functionrights" MDO List

FunctionRightsListProvider returns a MDO list of function rights in the database.
Additional Info = "role=123;languageId=1024;roleType=1"

Implemented by the <see cref="T:SuperOffice.CRM.Lists.FunctionRightsListProvider">FunctionRightsListProvider</see> class.
The name of the MDO list is 'functionrights'.

## Additional Attributes

| Description                                 | Name       | Example Value |
| ------------------------------------------- | ---------- | ------------- |
| Restrict to a specific role                 | role       | 123           |
| Restrict to rights for a given roleType     | roleType   | 1             |
| Language to return results in. English=1033 | languageId | 1033          |

Separator: ;

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/functionrights
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("functionrights", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                                       | StyleHint | ExtraInfo                      |
| -- | ------------------------------------------ | --------- | ------------------------------ |
| 1  | General Administrator                      |           | admin-all                      |
| 2  | List Administrator                         |           | admin-lists                    |
| 3  | User Administrator                         |           | admin-users                    |
| 8  | Can override read-only fields              |           | allow-readonly-override        |
| 9  | Hide Company screen                        |           | hide-company                   |
| 10 | Hide Sale screen                           |           | hide-sale                      |
| 11 | Hide Project screen                        |           | hide-project                   |
| 12 | Hide Inbox screen                          |           | hide-inbox                     |
| 13 | Hide Selection screen                      |           | hide-selection                 |
| 15 | Can run Mail Merge                         |           | allow-bulk-mailmerge           |
| 16 | Can export data to file                    |           | allow-bulk-export              |
| 17 | Can create tasks for a selection           |           | allow-bulk-generate-activities |
| 18 | Can copy a selection                       |           | allow-bulk-copy-members        |
| 19 | Allow bulk update                          |           | allow-bulk-edit                |
| 20 | Can delete selection members               |           | allow-bulk-delete              |
| 21 | Can modify interests for selection members |           | allow-bulk-interests           |
| 22 | Can send e-mail to selection members       |           | allow-bulk-email               |
| 23 | Can run custom tasks on selections         |           | allow-bulk-user-applications   |
| 24 | Can see users belonging to other companies |           | see-other-companies-associates |
| 26 | Status Monitor Administrator (counters)    |           | admin-saint-regeneration       |
| 27 | Status Monitor Administrator (statuses)    |           | admin-saint-definition         |

## Related MDO Lists

* "functionrightsheadings"
* "functionrightsheadingswithallitem"
* "functionrightsheadingswithallitemwithnoselection"
* "functionrightsheadingswithnoselection"
* "functionrightswithallitem"
* "functionrightswithallitemwithnoselection"
* "functionrightswithnoselection"


## Related topics

- [FunctionRight table](/en/database/tables/functionright.md)
- [Enum values for FunctionRightType](/en/database/tables/enums/functionrighttype.md)
- [FunctionRightRoleLink table](/en/database/tables/functionrightrolelink.md)
- [SuperOffice.WebApi.Data.FunctionRightStrings](/en/api/reference/webapi/SuperOffice.WebApi.Data.FunctionRightStrings.md)
- [Has Function Right](/en/api/reference/restful/agent/sentry_agent/has-function-right.md)
